Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157835 - in right-to-left locales, the text "user name" in the login screen is displayed to the left side of the username textbox
Summary: in right-to-left locales, the text "user name" in the login screen is display...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-16 13:49 UTC by Farzaneh Sarafraz
Modified: 2008-04-06 18:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-06 18:01:06 UTC


Attachments (Terms of Use)
screenshot (deleted)
2005-05-17 09:53 UTC, Farzaneh Sarafraz
no flags Details

Description Farzaneh Sarafraz 2005-05-16 13:49:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050509 Fedora/1.0.3-5 Firefox/1.0.3

Description of problem:
when the default session locale is RTL, the text "user name" in the login screen is displayed to the left side of the username textbox just as it is in the left-to-right locales.

Version-Release number of selected component (if applicable):
gdm-2.6.0.8-12

How reproducible:
Always

Steps to Reproduce:
1. change default system locale to an RTL local e.g. Persian
2. go to the login screen by pressing ctrl+alt+backspace


Actual Results:  the text "username" (in Persian) is displayed to the left side of the textbox provided to enter the username.

Expected Results:  the text should be displayed to the right side of the textbox. especially that it contains colon (:)
(screenshots attached)

Additional info:

Comment 1 Farzaneh Sarafraz 2005-05-17 09:53:12 UTC
Created attachment 114456 [details]
screenshot

this is a screenshot showing the bug

Comment 2 John Thacker 2006-10-29 21:21:02 UTC
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]

Comment 3 Christian Iseli 2007-01-22 11:45:47 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Roozbeh Pournader 2007-01-22 11:59:32 UTC
Confirming that the bug still exists on FC6 (and very probably also on Rawhide).

Comment 5 Ray Strode [halfline] 2008-03-18 18:41:34 UTC
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Comment 6 Farzaneh Sarafraz 2008-04-06 13:55:52 UTC
Confirming that the bug still exists in the default theme on FC8. I will file a
bug on GDM.

Comment 7 Ray Strode [halfline] 2008-04-06 18:01:06 UTC
This should be fixed in F9.  We probably won't fix in F8, since the fix is
likely theme dependent.



Note You need to log in before you can comment on or make changes to this bug.